Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jgGlyphs
Class GlyphImageList

    java.lang.Object
      jgGlyphs.GlyphImageList

public class GlyphImageList
extends java.lang.Object

This is a simple class wrapper around a vector of glyph images.

Field Summary
`protected java.util.Vector` | `giList` The internal list of glyph images

Constructor Summary
`GlyphImageList()` Constructs the list.

Method Summary
`void` | `addGlyphImage(java.io.File file)` Adds a glyph image.
`GlyphImage` | `get(int k)` Retrieves the kth image in the list
`protected int` | `getGlyphImageIndex(java.lang.String name)` Retrieves the vector position of a GlyphImage specified by name
`GlyphImage[]` | `getGlyphImagesForGlyph(java.lang.String glyph)` Retrieves an array of GlyphImages for a specified glyph.
`GlyphSet` | `getGlyphs()` Retrieves a GlyphSet applicable to this list of glyph images.
`int` | `getSize()` Returns the size of this list
`void` | `removeGlyphImage(java.lang.String name)` Removes a glyph image from the list, specified by name
`java.lang.String` | `toString()` Returns the string representation of this class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### giList

    protected java.util.Vector giList

  The internal list of glyph images

Constructor Detail

### GlyphImageList

    public GlyphImageList()

  Constructs the list.

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of this class

### getGlyphImageIndex

    protected int getGlyphImageIndex(java.lang.String name)

  Retrieves the vector position of a GlyphImage specified by name

  Parameters:
    `name` - the name of the GlyphImage
  Returns:
    the vector position, or -1 if not found.

### addGlyphImage

    public void addGlyphImage(java.io.File file)

  Adds a glyph image. If a glyph image with the same name (as returned by the getName method of GlyphImage) and glyph (as returned by the getGlyph method) already exists, it is replaced.

  Parameters:
    `file` - the File to add as a GlyphImage to add

### removeGlyphImage

    public void removeGlyphImage(java.lang.String name)

  Removes a glyph image from the list, specified by name

  Parameters:
    `name` - the name of the glyph image to remove.

### getGlyphs

    public GlyphSet getGlyphs()

  Retrieves a GlyphSet applicable to this list of glyph images.

  Returns:
    a GlyphSet applicable to this list of glyph images.

### getGlyphImagesForGlyph

    public GlyphImage[] getGlyphImagesForGlyph(java.lang.String glyph)

  Retrieves an array of GlyphImages for a specified glyph.

### getSize

    public int getSize()

  Returns the size of this list

  Returns:
    the size of this list

### get

    public GlyphImage get(int k)

  Retrieves the kth image in the list

  Returns:
    the kth GlyphImage in the list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD